# Method: fhir.Encounter-everything

**Full name**: projects.locations.datasets.fhirStores.fhir.Encounter-everything

Retrieves an Encounter resource and resources related to that Encounter.

Implements the FHIR extended operation Encounter-everything ([DSTU2](https://hl7.org/fhir/DSTU2/encounter-operations.html#everything), [STU3](https://hl7.org/fhir/STU3/encounter-operations.html#everything), [R4](https://hl7.org/fhir/R4/encounter-operation-everything.html), or [R5](https://hl7.org/fhir/R5/encounter-operation-everything.html)).

On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `searchset`, containing the results of the operation. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead.

The resources in scope for the response are:

- The Encounter resource itself.
- All the resources directly referenced by the Encounter resource, including attachments and binaries.
- Resources directly referencing the Encounter resource that meet the inclusion criteria. The inclusion criteria are based on the membership rules in the Encounter Compartment definition ([DSTU2](http://hl7.org/fhir/DSTU2/compartment-encounter.html), [STU3](http://www.hl7.org/fhir/stu3/compartmentdefinition-encounter.html), [R4](http://hl7.org/fhir/R4/compartmentdefinition-encounter.html), [R5](http://hl7.org/fhir/R5/compartmentdefinition-encounter.html)), which details the eligible resource types and referencing search parameters.
- Resources referencing to the Encounter resource through the "http://hl7.org/fhir/StructureDefinition/encounter-associatedEncounter" extension.

### HTTP request

`GET https://healthcare.googleapis.com/v1beta1/{name=projects/*/locations/*/datasets/*/fhirStores/*/fhir/Encounter/*}/$everything`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the Encounter resource for which the information is required. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `healthcare.fhirResources.get` |

### Query parameters

| Parameters ||
|---|---|
| `_page_token` | `string` Optional. Used to retrieve the next or previous page of results when using pagination. Set `_page_token` to the value of _page_token set in next or previous page links' url. Next and previous page are returned in the response bundle's links field, where `link.relation` is "previous" or "next". Omit `_page_token` if no previous request has been made. |
| `_count` | `integer` Optional. Maximum number of resources in a page. If not specified, 100 is used. May not be larger than 1000. |
| `_since` | `string` Optional. If provided, only resources updated after this time are returned. The time uses the format YYYY-MM-DDThh:mm:ss.sss+zz:zz. For example, `2015-02-07T13:28:17.239+02:00` or `2017-01-01T00:00:00Z`. The time must be specified to the second and include a time zone. |
| `_type` | `string` Optional. String of comma-delimited FHIR resource types. If provided, only resources of the specified resource type(s) are returned. Specifying multiple `_type` parameters isn't supported. For example, the result of `_type=Observation&_type=Encounter` is undefined. Use `_type=Observation,Encounter` instead. |

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).